Package com.xebialabs.deployit.plugin.api.validation

## Class ValidationMessage

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.validation.ValidationMessage

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class ValidationMessage
      extends java.lang.Object
      implements java.io.Serializable

  A ValidationMessage may be returned for certain operations, related to specific property of a `ConfigurationItem`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ValidationMessage.Level` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidationMessage​(java.lang.String ciId, java.lang.String propertyName, java.lang.String message)` |
    `ValidationMessage​(java.lang.String ciId, java.lang.String propertyName, java.lang.String message, ValidationMessage.Level level)` |
    `ValidationMessage​(java.lang.String ciId, java.lang.String propertyName, java.lang.String message, java.lang.String level)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ValidationMessage` | `error​(java.lang.String ciId, java.lang.String propertyName, java.lang.String message)` |
    `java.lang.String` | `getCiId()` |
    `ValidationMessage.Level` | `getLevel()` |
    `java.lang.String` | `getMessage()` |
    `java.lang.String` | `getPropertyName()` |
    `static ValidationMessage` | `info​(java.lang.String ciId, java.lang.String propertyName, java.lang.String message)` |
    `java.lang.String` | `toString()` |
    `static ValidationMessage` | `warn​(java.lang.String ciId, java.lang.String propertyName, java.lang.String message)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationMessage

          public ValidationMessage​(java.lang.String ciId,
                                   java.lang.String propertyName,
                                   java.lang.String message,
                                   java.lang.String level)

    - #### ValidationMessage

          public ValidationMessage​(java.lang.String ciId,
                                   java.lang.String propertyName,
                                   java.lang.String message,
                                   ValidationMessage.Level level)

    - #### ValidationMessage

          public ValidationMessage​(java.lang.String ciId,
                                   java.lang.String propertyName,
                                   java.lang.String message)

  - ### Method Detail

    - #### error

          public static ValidationMessage error​(java.lang.String ciId,
                                                java.lang.String propertyName,
                                                java.lang.String message)

    - #### warn

          public static ValidationMessage warn​(java.lang.String ciId,
                                               java.lang.String propertyName,
                                               java.lang.String message)

    - #### info

          public static ValidationMessage info​(java.lang.String ciId,
                                               java.lang.String propertyName,
                                               java.lang.String message)

    - #### getCiId

          public java.lang.String getCiId()

      Returns:
        The id of the `ConfigurationItem`.

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Returns:
        The name of the property.

    - #### getMessage

          public java.lang.String getMessage()

      Returns:
        The validation message.

    - #### getLevel

          public ValidationMessage.Level getLevel()

      Returns:
        The validation message level.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`